/*
    Hidezones
*/

class Hidezones extends React.Component {
    render() {
        if (this.props.hidezones) {
            return (
                <div className="form-group hidezones">
                    <div className="form-group-title">Скрытие нежелательных блоков:</div>
                    <Values data={this.props.hidezones} name={'hidezones'} onEditValues={(data) => this.props.editHidezones(data)}/>
                </div>
            ); 
        } else {
            return (
                <div className="form-group hidezones">
                    <div className="form-group-title">Скрытие нежелательных блоков:</div>
                </div>
            );  
        }
    }
}


function mapStateToProps(state) {
    return {
        hidezones: state.hidezones
    }
}

function matchDispatchToProps(dispatch) {
    return bindActionCreators({editHidezones: editHidezones}, dispatch);
}

const ConnectedHidezones = connect(mapStateToProps, matchDispatchToProps)(Hidezones);
